* {
  box-sizing: inherit;
}
body {
  box-sizing: border-box;
  font-family: "Inter", -apple-system, BlinkMacSystemFont, avenir next, avenir,
    segoe ui, helvetica neue, helvetica, Ubuntu, roboto, noto, arial, sans-serif;
  color: #222;
  line-height: 1.5;
  font-feature-settings: "ss01", "cv08", "cv05", "tnum";
  -webkit-text-size-adjust: 100%;
  text-size-adjust: 100%;
}
input,
button {
  font: inherit;
  font-size: 1rem;
}
#menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 15rem;
  bottom: 0;
  overflow: auto;
  padding: 1rem;
  font-weight: 500;
  color: #555;
}
#menubutton {
  position: fixed;
  top: 0.25rem;
  left: 0.25rem;
  background-color: #0073e6;
  color: #fff;
  border-radius: 0.25rem;
  box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.25);
  padding: 0.25rem 0.375rem;
  font-size: 0.875rem;
  display: none;
}
.menu-item {
  font-size: 0.875rem;
  margin: 0;
  padding: 0.375rem 0;
}
#content {
  position: absolute;
  top: 0;
  left: 15rem;
  padding: 2rem;
  max-width: 45em;
}
.bottom {
  padding-top: 10rem;
  font-size: 0.75rem;
}
h1 {
  margin: 1.5rem 0;
}
section + section {
  border-top: 1px solid #ccc;
  margin-top: 4rem;
  padding-top: 2rem;
}
b {
  font-weight: 600;
}
code {
  font-family: Menlo, Consolas, Monaco, Liberation Mono, Lucida Console,
    monospace;
  font-weight: inherit;
  color: #444;
  font-size: inherit;
  background-color: #eee;
  border-radius: 0.1875rem;
}
.code-block {
  background-color: #f5f5f5;
  border-radius: 0.375rem;
  padding: 0.75rem 1rem;
}
.code-block code {
  font-size: 0.875rem;
  white-space: pre-wrap;
  background: none;
}
.link {
  text-decoration: underline;
}
a {
  color: inherit;
}
a:not(:hover) {
  text-decoration: none;
}
.small {
  font-size: 0.875rem;
  padding-left: 1rem;
}
@media (max-width: 800px) {
  .menu {
    display: none;
  }
  #menu {
    background-color: hsl(0, 0%, 100%, 0.8);
    -webkit-backdrop-filter: blur(7px);
    backdrop-filter: blur(7px);
    border-right: 1px solid hsl(0, 0%, 0%, 0.05);
  }
  #menubutton {
    display: block;
  }
  #content {
    left: 0;
  }
}
@media (min-width: 1280px) {
  body {
    margin: 4rem;
  }
}
@media (max-width: 1024px) {
  body {
    margin: 0.75rem;
    font-size: 0.875rem;
  }
  h1 {
    margin: 0.75rem 0;
  }
  .code-block {
    padding: 0.375rem;
  }
  .code-block code {
    font-size: 0.75rem;
  }
}

@supports (font-variation-settings: normal) {
  body {
    font-family: "InterVariable", sans-serif;
    font-optical-sizing: auto;
  }
}
